Index: src/xmlrpc.h
===================================================================
RCS file: /data/cvs/libvirt/src/xmlrpc.h,v
retrieving revision 1.2
diff -u -p -r1.2 xmlrpc.h
--- src/xmlrpc.h	9 May 2006 15:35:46 -0000	1.2
+++ src/xmlrpc.h	26 Jun 2007 14:27:08 -0000
@@ -19,6 +19,7 @@
 #include <time.h>
 #include <stdarg.h>
 
+#include "buf.h"
 #include "xml.h"
 
 typedef enum _xmlRpcValueType xmlRpcValueType;
@@ -89,12 +90,12 @@ struct _xmlRpcContext;
 xmlRpcValuePtr *xmlRpcArgvNew(const char *fmt, va_list ap, int *argc);
 void xmlRpcArgvFree(int argc, xmlRpcValuePtr *argv);
 
-virBufferPtr xmlRpcMarshalRequest(const char *request,
+bufferPtr xmlRpcMarshalRequest(const char *request,
 				  int argc, xmlRpcValuePtr *argv);
 
 xmlRpcValuePtr xmlRpcUnmarshalResponse(xmlNodePtr node, bool *is_fault);
 
-void xmlRpcValueMarshal(xmlRpcValuePtr value, virBufferPtr buf, int indent);
+void xmlRpcValueMarshal(xmlRpcValuePtr value, bufferPtr buf, int indent);
 
 xmlRpcValuePtr xmlRpcValueUnmarshal(xmlNodePtr node);
 
Index: tests/Makefile.am
===================================================================
RCS file: /data/cvs/libvirt/tests/Makefile.am,v
retrieving revision 1.19
diff -u -p -r1.19 Makefile.am
--- tests/Makefile.am	29 May 2007 14:44:15 -0000	1.19
+++ tests/Makefile.am	26 Jun 2007 14:27:08 -0000
@@ -15,6 +15,7 @@ INCLUDES = \
 	-I$(top_builddir)/src \
 	-I$(top_srcdir)/include \
 	-I$(top_srcdir)/src \
+	-I$(top_srcdir)/lib \
 	@LIBXML_CFLAGS@ \
         -D_XOPEN_SOURCE=600 -D_POSIX_C_SOURCE=199506L \
         -DGETTEXT_PACKAGE=\"$(PACKAGE)\" \
@@ -46,8 +47,8 @@ valgrind:
 xmlrpctest_SOURCES = \
 	xmlrpctest.c \
 	testutils.c testutils.h \
-	$(top_builddir)/src/xmlrpc.c \
-	$(top_builddir)/src/xmlrpc.h
+	@top_srcdir@/src/xmlrpc.c \
+	@top_srcdir@/src/xmlrpc.h
 
 xmlrpctest_LDFLAGS =
 xmlrpctest_LDADD = $(LDADDS)
Index: tests/xmlrpctest.c
===================================================================
RCS file: /data/cvs/libvirt/tests/xmlrpctest.c,v
retrieving revision 1.3
diff -u -p -r1.3 xmlrpctest.c
--- tests/xmlrpctest.c	26 Jun 2006 15:02:19 -0000	1.3
+++ tests/xmlrpctest.c	26 Jun 2007 14:27:08 -0000
@@ -20,6 +20,7 @@
 #include <libxml/xpath.h>
 
 #include "libvirt/libvirt.h"
+#include "buf.h"
 #include "xml.h"
 #include "xmlrpc.h"
 
@@ -57,12 +58,12 @@ testMethodPlusDOUBLE(void *data)
     return retval==(10.1234+10.1234) ? 0 : -1;   
 }
 
-static virBufferPtr
+static bufferPtr
 marshalRequest(const char *fmt, ...)
 {
     int argc;
     xmlRpcValuePtr *argv;
-    virBufferPtr buf;
+    bufferPtr buf;
     va_list ap;
     
     va_start(ap, fmt);
@@ -132,14 +133,14 @@ testMarshalRequestINT(void *data)
     int num = INT_MAX;
     int ret = 0;
     int check = data ? *((int *)data) : 0;
-    virBufferPtr buf = marshalRequest("i", num);
+    bufferPtr buf = marshalRequest("i", num);
 
     if (check)
         ret = checkRequestValue(buf->content, 
                 "number(/methodCall/params/param[1]/value/int)",
                 XML_RPC_INTEGER, (void *) &num);
     
-    virBufferFree(buf);
+    bufferFree(buf);
     return ret;
 }
 
@@ -149,13 +150,13 @@ testMarshalRequestSTRING(void *data ATTR
     const char *str = "This library will be really sexy.";
     int ret = 0;
     int check = data ? *((int *)data) : 0;
-    virBufferPtr buf = marshalRequest("s", str);
+    bufferPtr buf = marshalRequest("s", str);
 
     if (check) 
         ret = checkRequestValue(buf->content, 
                 "string(/methodCall/params/param[1]/value/string)",
                 XML_RPC_STRING, (void *) str);
-    virBufferFree(buf);
+    bufferFree(buf);
     return ret;
 }
 
@@ -165,40 +166,40 @@ testMarshalRequestDOUBLE(void *data)
     double num = 123456789.123;
     int ret = 0;
     int check = data ? *((int *)data) : 0;
-    virBufferPtr buf = marshalRequest("f", num);
+    bufferPtr buf = marshalRequest("f", num);
 
     if (check)
         ret = checkRequestValue(buf->content, 
                 "number(/methodCall/params/param[1]/value/double)",
                 XML_RPC_DOUBLE, (void *) &num);
     
-    virBufferFree(buf);
+    bufferFree(buf);
     return ret;
 }
 
 static int
 testBufferStrcat(void *data ATTRIBUTE_UNUSED)
 {
-    virBufferPtr buf = virBufferNew(1000*32);  /* don't waste time with realloc */
+    bufferPtr buf = bufferNew(1000*32);  /* don't waste time with realloc */
     int i;
     
     for (i=0; i < 1000; i++)
-        virBufferStrcat(buf, "My name is ", "libvirt", ".\n", NULL);
+        bufferStrcat(buf, "My name is ", "libvirt", ".\n", NULL);
 
-    virBufferFree(buf);
+    bufferFree(buf);
     return 0;
 }
 
 static int
 testBufferVSprintf(void *data ATTRIBUTE_UNUSED)
 {
-    virBufferPtr buf = virBufferNew(1000*32);  /* don't waste time with realloc */
+    bufferPtr buf = bufferNew(1000*32);  /* don't waste time with realloc */
     int i;
     
     for (i=0; i < 1000; i++)
-        virBufferVSprintf(buf, "My name is %s.\n", "libvirt");
+        bufferVSprintf(buf, "My name is %s.\n", "libvirt");
 
-    virBufferFree(buf);
+    bufferFree(buf);
     return 0;
 }
 
